[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: libnspr and libraries in /usr/lib that require it



On Fri Apr 04, 04:22am +0200, Marek Habersack wrote:
> In what way? Both mozilla packages use LD_LIBRARY_PATH to pull their private
> libnspr4.so from their respective directories. How would they conflict?
> 
> > your package against release, snapshot or both and put the library in
> > the same dir as libnspr.
> I can't do that. I have at least one application that cannot use a wrapper
> to load the library - it's a dynamic extension to the Caudium webserver, a
> .so - I'd have to use -rpath etc. The whole purpose of libsmjs is to provide
> the embedded JS engine to standalone applications, not related to mozilla in
> any way.

I spoke to Simon on IRC, he mistakenly believed you were making a
regular and a -snapshot package (and as such, thought that they would
need to conflict).

Attachment: pgpHQuBAqxxaT.pgp
Description: PGP signature


Reply to: